mchandak Thu, 05/03/2007 - 04:45

Upgrade from 4.2 to 5.1(1) would not work. Upgrade to 5.1(1) is not supported with any version after 4.1(3)

Rob Huffman Thu, 05/03/2007 - 04:59

Hi Mahesh,


I thought that no CCM 4.2 to 5.x upgrade path existed either, but have a look at this excerpt from the doc that Brandon sent;


Tested Functionality


The system-wide testing of IP telephony functionality for Cisco Unified Communications Release 5.1(1) included the following:


Testing on two distinct upgrade paths for North America IP telephony main components:


Multistage upgrade from IP Communications System Test Release 4.2 versions to Cisco Unified Communications Release 5.1(1) versions. For a list of the base Release 4.2 versions, see the Systems Release Notes for North America IPT: IP Communications Systems Test Release 4.2 at:


http://www.cisco.com/univercd/cc/td/doc/product/voice/ip_tele/gblink/system/gbtst4x/4_2/rng42nip.htm


Is the documentation wrong? Or are we just reading this wrong?


Thanks Man!

Rob

mchandak Thu, 05/03/2007 - 05:20

Rob, I've tested this in the lab a few times and even got a confirmation from multiple ppl within Cisco. If you look at the software version list for this test, CM version is 4.1(3) SR2.

http://www.cisco.com/univercd/cc/td/doc/product/voice/ip_tele/gblink/system/gbtst4x/4_2/rng42nip.htm#wp1224837


If you have a CM 4.2, try to install DMA 5.1(1) and it would fail as it does not support Cm 4.2. So if we are referring to System Test 4.2, it uses CallManager 4.1(3).


I hope this clears the confusion.

Rob Huffman Thu, 05/03/2007 - 05:24

Hi Mahesh,


Thanks for clearing this up! I thought that was the case but the Title of this document and the way it is worded is a tad confusing. 5 points for your great work as always :)


Take care,

Rob

Brandon Buffin Thu, 05/03/2007 - 05:34

Mahesh,

Thanks for clearing that up. I assumed System Test 4.2 included CCM 4.2. I should have gone one link deeper.


Thanks,

Brandon

Chris Deren Thu, 05/03/2007 - 05:23

You cannot upgrade from 4.2 to 5.X, you may however upgrade to 6.0.

5.0 was built off of 4.1(3) base code, so it does not include any of the 4.2 features. 6.0 (still applicance only) includes all 4.2 features, hence the upgrade is supported.


Chris

mike85719 Thu, 05/03/2007 - 10:19

Thanks for all the responses! So the next question is: Is CCM 6 available and can I upgrade to CCM 6 if I have a Cisco contract?

mchandak Thu, 05/03/2007 - 10:21

CM 6.x is still not available. It is currently under EFT and AFAIK, it will go FCS by End of May or early June

Actions

This Discussion